# sudoku-solver 

## Notes

Uses a single sudoku file as input

Tests were ran on sudoku-easy-50 split into individual files

All were successfully solved

## Compiling the project

Prerequisites
  - C++11

In order to compile the project, simply run these two commands:

    cmake -B build -S .
    cmake --build build

## Running the Project
The program should now be compiled at ./build/bin/sudoku

Simply run the program using:

    build/bin/sudoku

## Testing the Project

Prerequisites
  - Unity (Throw the Switch)

In order to compile the tests for the project, simply run these two commands:

    cmake -DCMAKE_BUILD_TYPE=Debug -B build -S .
    cmake --build build

The program should now be compiled at ./build/bin/sudoku

Simply run the tests using:

    build/bin/testing
